<!DOCTYPE HTML>
<html>
  <head>
    <style>
      body {
        margin: 0px;
        padding: 0px;
      }
    </style>
  </head>
  <body>
    <img id="imagen" src={scr} className="hidden" alt="imagen de la camra" />
    <canvas id="myCanvas" width="578" height="400"></canvas>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var imageObj=""
      var scr=""
      var socket = io.connect('http://192.168.0.9:5000');
      socket.on('frame', function (data) {
      // console.log(data);
      imageObj.src = "data:image/jpeg;base64,"+data;
      document.getElementById("imagen").src="data:image/jpeg;base64,"+data;

      // socket.emit('my other event', { my: 'data' });
      });
      var canvas = document.getElementById('myCanvas');
      var context = canvas.getContext('2d');
      var imageObj = new Image();

      imageObj.onload = function() {
        context.drawImage(imageObj, 640, 360);
      };
    </script>
  </body>
</html>
